package com.yizhi.practice.application.enums;

/**
 * 考核策略是否允许重复提交; 80:允许重复提交 10:不允许重复提交
 *
 */
public enum PracticeRepSubmitEnum {

    TRUE(80,"允许重复提交"),
    FALSE(10,"不允许重复提交"),

            ;
    private Integer status;
    private String desc;

    PracticeRepSubmitEnum(Integer status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    public Integer getStatus() {
        return status;
    }

    public String getDesc() {
        return desc;
    }

}
