package com.yizhi.practice.application.enums;

/**
 * 未识别回复类型 80:默认回复，10:自定义回复
 *
 */
public enum PracticeSimilaryFailedEnum {

    TRUE(80,"默认回复"),
    FALSE(10,"自定义回复"),

            ;
    private Integer status;
    private String desc;

    PracticeSimilaryFailedEnum(Integer status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    public Integer getStatus() {
        return status;
    }

    public String getDesc() {
        return desc;
    }

}
