package com.yizhi.practice.application.enums;

/**
 * 陪练可见范围
 * 80:平台可见 40:指定用户可见
 */
public enum PracticeVisibleTypeEnum {

    ALL(80,"平台可见"),
    ORG(50,"部门用户可见"),
    PART(40,"指定用户可见"),

            ;
    private Integer status;
    private String desc;

    PracticeVisibleTypeEnum(Integer status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    public Integer getStatus() {
        return status;
    }

    public String getDesc() {
        return desc;
    }

}
