package com.yizhi.practice.application.config


/**
 * @Date 2020/10/26 2:04 下午
 * @Author lvjianhui
 **/
enum class PracticeRunningStatusEnum(val status:Int,val msg:String) {

    NOT_STARTED (10,"未开始"),

    RUNNING     (40,"进行中"),

    ENDED       (80,"已结束"),

    ALL       (90,"所有状态");

    companion object {
        val map = values().associateBy { it.status }

        fun getAllStatus() = map.keys

        fun getEnumByState(status: Int) :PracticeRunningStatusEnum {
            return map[status]!!
        }
    }

}