package com.yizhi.practice.application.constants;

/**
 * 常量表
 */
public class PracticeConstant {

    public static final String BUSINESS_TYPE = "PRACTICE";
    public static final String SUB_BUSINESS_TYPE = "MANAGECHAT";
    public static final String SUB_BUSINESS_TYPE_EXPORT = "EXPORT";
    
    public static final String KEY_WORD_SPERATOR_EN = ";";
    public static final String KEY_WORD_SPERATOR_CN = "；";


    /**
     * 导入对话开始节点默认横坐标(X坐标)值
     */
    public static final int CHAT_DEFAULT_XAXIS = 50;
    /**
     * 导入对话开始节点默认纵坐标(Y坐标)值
     */
    public static final int CHAT_DEFAULT_YAXIS = 50;
    /**
     * 导入对话,默认递增纵坐标(Y坐标)值步长
     */
    public static final int YAXIS_STEP_LEN = 100;

    /**
     * 智能陪练陪练策略未识别回复语句
     */
    public static final String EXAM_FAIL_MESSAGE = "我无法理解您的意图,请重新回复";

    /**
     * 智能陪练默认logo图片地址
     */
    public static final String PRACTICE_DEFAULT_LOGO_URL = "https://cloud-wmy.oss-cn-shanghai.aliyuncs.com/practice/logo/practice_logo.png";

}
