package com.yizhi.practice.application.excel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel(value = "场景对话导入模板")
public class PracticeSceneChatImport implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "对话序列号")
    private String order;

    @ApiModelProperty(value = "机器人节点话术(必填)")
    private String robotNode;

    @ApiModelProperty(value = "学员节点话术(必填)")
    private String studentNode;

    @ApiModelProperty(value = "关键词(必填)")
    private List<String> keyword;

    @ApiModelProperty(value = "扩展词(非必填)")
    private List<String> extendWord;

    @ApiModelProperty(value = "禁忌词;多个用分号分隔(非必填)")
    private String tabooWord;

}
