package com.yizhi.practice.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.practice.application.pojo.domain.PracticeChatRoundLog;
import com.yizhi.practice.application.pojo.dto.PracticeLogScoreDto;
import org.apache.ibatis.annotations.Param;

/**
 * @Date 2020/11/24 7:11 下午
 * @Author lvjianhui
 **/
public interface PracticeChatRoundLogMapper extends BaseMapper<PracticeChatRoundLog> {

    public PracticeLogScoreDto getScoreByAccount(@Param(value = "practiceChatId") Long practiceChatId,
                                                 @Param(value = "accountId") Long accountId,
                                                 @Param(value = "orgId") Long orgId,
                                                 @Param(value = "siteId") Long siteId,
                                                 @Param(value = "companyId") Long companyId);

}
