package com.yizhi.practice.application.pojo.vo

import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import org.apache.xpath.operations.Bool


/**
 * @Date 2020/11/9 7:26 下午
 * @Author lvjianhui
 **/
@ApiModel
class ChatResultVo {

    @ApiModelProperty("通过为true,不通过false")
    var passSuccess:Boolean = false

    @ApiModelProperty("得分")
    var score:Int ? = null

    @ApiModelProperty("音频时长")
    var duration:Long ? = null

    @ApiModelProperty("音频地址")
    var voiceUrl:String ? = null

    @ApiModelProperty("音频转换后的文字")
    var content:String ? = null

    @ApiModelProperty("命中的关键词，可能需要高亮")
    var contentHitKeyWord:List<String> ? = null

    @ApiModelProperty("该语音匹配到的学员分支")
    var chatRoundConfigId:Long ? = null

    @ApiModelProperty("为true时提示用户可以跳过或重新输入")
    var unPassTipSskip:Boolean = false

    @ApiModelProperty("未识别的自定已回复")
    var customizeFileMsg:String ? = null

    @ApiModelProperty("命中的禁忌词")
    var hitTabooWord  = arrayListOf<String>()

    @ApiModelProperty("用户上传ID")
    var accountUploadId:Long ?= null


}