package com.yizhi.practice.application.pojo.vo;

import java.util.List;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
@ApiModel(value = "PracticeChatRoundLogDetailVo", description = "陪练记录-详情页面-本题分析")
public class PracticeChatRoundLogDetailVo {

	@ApiModelProperty(value = "关键词")
	private List<LocalJSONObject> keyWord;
	
	@ApiModelProperty(value = "命中的关键词")
	private List<String> keywordHit;
	
	@ApiModelProperty(value = "命中的禁忌词")
	private List<String> forbidHit;
	
	@ApiModelProperty(value = "本题得分")
	private Integer totalScore;
	
	@ApiModelProperty(value = "关键词得分")
	private Integer keywordScore;

	@ApiModelProperty(value = "完整性得分")
	private Integer completeScore;
	
	@ApiModelProperty(value = "流畅度得分")
	private Integer smoothScore;
	
	@ApiModelProperty(value = "流畅度 提示信息")
	private String smoothHint;

	@ApiModelProperty(value = "表达能力得分")
	private Integer expressScore;
	
	@ApiModelProperty(value = "表达能力 提示信息")
	private String expressHint;

	@ApiModelProperty(value = "礼貌性得分")
	private Integer politeScore;
	
	@ApiModelProperty(value = "礼貌性 提示信息")
	private String politeHint;
	
	@ApiModelProperty(value = "学员话术")
	private String accountContent;
	
	@ApiModelProperty(value = "学员话术URL")
	private String accountContentVoiceUrl;
	
	@ApiModelProperty(value = "学员话术时长")
	private Long accountDuration;
	
	@ApiModelProperty(value = "机器人话术")
	private String robotContent;
	
	@ApiModelProperty(value = "机器人话术URL")
	private String robotContentUrl;
	
	@ApiModelProperty(value = "机器人话术时长")
	private Long robotDuration;
}
