package com.yizhi.practice.application.pojo.vo

import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.util.*


/**
 * @Date 2020/10/23 11:54 上午
 * @Author lvjianhui
 **/
@ApiModel
class PracticeConfigVo {

    @ApiModelProperty("陪练Id")
    var practiceId:Long ? = null

    @ApiModelProperty("陪练名")
    var name:String ? = null

    @ApiModelProperty("训练开始时间")
    var practiceStartAt: Date? = null

    @ApiModelProperty("训练结束时间")
    var practiceEndAt: Date ? = null

    @ApiModelProperty("考试开始时间")
    var examStartAt: Date ? = null

    @ApiModelProperty("考试结束时间")
    var examEndAt: Date ? = null

    @ApiModelProperty("陪练介绍")
    var description:String ? = null

    @ApiModelProperty("10:训练 20：考试 80：训练加考试")
    var useType:Int ? = null

    @ApiModelProperty("最大允许考核次数")
    var maxExamCount:Int ? = 0

    @ApiModelProperty("已参加考试次数")
    var joinExamCount:Long ? = 0

    @ApiModelProperty("参加训练次数")
    var joinPracticeCount:Long ? = 0

    @ApiModelProperty("训练模式 跳过对话类型 80允许，10:不允许")
    var practiceSkipType:Int ? = null

    @ApiModelProperty("考试是否允许重复提交 80:允许重复提交 10:不允许重复提交")
    var examRepeatPush:Int ? = null

    var robotName:String ? = null



}