package com.yizhi.practice.application.pojo.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "可用范围")
public class PracticeVisibleInfoVo {

    @ApiModelProperty(value = "表主键id")
    private Long id;

    @ApiModelProperty(value = "可见范围用户或者部门id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long visibleId;

    @ApiModelProperty(value = "可见范围类型; 50:部门可见 40:指定用户可见")
    private Integer visibleType;

    @ApiModelProperty(value = "用户或者部门名称")
    private String name;

    @ApiModelProperty(value = "全名")
    private String fullName;

    @ApiModelProperty(value = "工号")
    private String workNum;

}
