package com.yizhi.practice.application.pojo.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 机器人信息
 */
@Data
public class RobotVo {

    @ApiModelProperty(value = "机器人id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "机器人名称")
    private String robotName;

    @ApiModelProperty(value = "机器人参数，根据参数来确定音频效果")
    private String robotParams;

    @ApiModelProperty(value = "机器人合成语音demoURL")
    private String contentVoiceUrl;

}
