package com.yizhi.practice.application.pojo.vo;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
@ApiModel(value = "StudentPracticeLogVo", description = "学员端-陪练记录-列表")
public class StudentPracticeLogVo {
	
	@ApiModelProperty(value = "陪练记录ID")
	private Long id;
	
	@ApiModelProperty(value = "陪练ID")
	private Long practiceId;
	
	@ApiModelProperty(value = "10:训练 20:考核")
	private Integer useType;
	
	@ApiModelProperty(value = "陪练模式")
	private String mode;

	@ApiModelProperty(value = "陪练级别 10:初级 40:中级 80:高级")
	private Integer level;
	
	@ApiModelProperty(value = "完成时间")
	private Date endAt;
	
	@ApiModelProperty(value = "总得分")
	private Integer totalScore;
}
