package com.yizhi.practice.application.repository;

import com.yizhi.practice.application.pojo.domain.PracticeChatRoundLog;
import com.yizhi.practice.application.pojo.dto.PracticeAllScoreDto;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;
import org.springframework.data.repository.query.Param;

/**
 * <p>
 * 场景中每轮对话记录 Mapper 接口
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-22
 */
public interface PracticeChatRoundLogRepository extends  JpaRepository<PracticeChatRoundLog,Long>, QuerydslPredicateExecutor<PracticeChatRoundLog>{

//    @Query(value =
//            "select " +
//            "avg(a.keyword_score) as keywordScore, " +
//            "avg(a.complete_score) as completeScore, " +
//            "avg(a.smooth_score) as smoothScore, " +
//            "avg(a.polite_score) as politeScore, " +
//            "avg(a.express_score) as expressScore " +
//            "from practice_chat_round_log a inner join ( " +
//            "select max(created_at) as created_at , " +
//            "scene_chat_id as scene_chat_id " +
//            "from practice_chat_round_log " +
//            "where " +
//            "practice_chat_id = ?1 " +
//            "and round_skip_type = 80 " +
//            "and account_id = ?2 " +
//            "and org_id = ?3 " +
//            "and site_id = ?4 " +
//            "and company_id = ?5 " +
//            "and deleted = 0 " +
//            "group by scene_chat_id) b " +
//            "on a.created_at = b.created_at " +
//            "and a.scene_chat_id = b.scene_chat_id " +
//            "where a.practice_chat_id = ?1 " +
//            "and a.round_skip_type = 80 " +
//            "and a.account_id = ?2 " +
//            "and a.org_id = ?3 " +
//            "and a.site_id = ?4 " +
//            "and a.company_id = ?5 " +
//            "and a.deleted = 0 " +
//            "order by a.scene_id,a.round_level ",nativeQuery = true)
//    public PracticeAllScoreDto getScoreByAccount(@Param(value = "practiceChatId") Long practiceChatId,
//                                                 @Param(value = "accountId") Long accountId,
//                                                 @Param(value = "orgId") Long orgId,
//                                                 @Param(value = "siteId") Long siteId,
//                                                 @Param(value = "companyId") Long companyId);

}
