package com.yizhi.practice.application.service;


import com.yizhi.practice.application.pojo.domain.PracticePointRuleConfig;

import java.util.List;

/**
 * <p>
 * 陪练积分发放规则 服务类
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-22
 */
public interface IPracticePointRuleConfigService {

    /**
     * 查询陪练下所有生效的积分规则
     * @param practiceId 陪练id
     * @param isDeleted 是否删除 true：已删除； false: 未删除
     * @return 积分规则集合
     */
    List<PracticePointRuleConfig> selectPointRulesByPractice(Long practiceId, boolean isDeleted);

    PracticePointRuleConfig selectPointRulesByPractice(Long practiceId, Integer userScore, boolean isDeleted);


}
