package com.yizhi.practice.application.service

import com.yizhi.practice.application.pojo.domain.PracticeVisible
import java.util.*

/**
 *
 *
 * 服务类
 *
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-22
 */
interface IPracticeVisibleService {
    fun getIdsByAccountId(accountId: Long, parendOrgIdAndOrgId: List<Long>, siteId: Long, companyId: Long): MutableList<Long>

    /**
     * 删除陪练下用户部门信息
     */
    fun deleteByPracticeId(practiceId: Long)

    /**
     * 查询陪练下授权用户和部门
     */
    fun getListByPracticeId(practiceId:Long): List<PracticeVisible>

    fun getListByTime(startDate: Date, endDate: Date) :List<PracticeVisible>
}