package com.yizhi.practice.application.service;

import com.yizhi.practice.application.pojo.domain.SceneConfig;

import java.util.List;

/**
 * <p>
 * 场景配置 服务类
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-22
 */
public interface ISceneConfigService {


    List<SceneConfig> findSceneByPracticeId(Long pracitceId);

    /**
     * 删除场景
     * @param sceneId 场景id
     * @param practiceId 陪练id
     */
    long deleteScene(Long practiceId,Long sceneId);

    /**
     * 修改场景排序
     * @param sceneId 场景id
     * @param sort 排序序号
     */
    void updateSceneSort(Long sceneId, int sort);
}
