package com.yizhi.practice.application.third.xunfei.param;

import java.math.BigDecimal;

public interface IEvaluateResult {

	/**
	 * 流畅性得分
	 * @return
	 */
	public BigDecimal getFluencyScore();
	
	/**
	 * 完整性得分
	 * @return
	 */
	public BigDecimal getIntegrityScore();
	
	/**
	 * 声韵分
	 * @return
	 */
	public BigDecimal getPhoneScore();
	
	/**
	 * 调型分
	 * @return
	 */
	public BigDecimal getToneScore();
}
