package com.yizhi.practice.application.third.xunfei.vo;

import java.math.BigDecimal;

import com.yizhi.practice.application.third.xunfei.param.IEvaluateResult;

/**
 * 
 * @author xiaoyu
 *
 */
public class EvaluateResult implements IEvaluateResult {
	
	private BigDecimal flucencyScore;
	private BigDecimal integrityScore;
	private BigDecimal phoneScore;
	private BigDecimal toneScore;

	public EvaluateResult() {
		super();
	}

	public EvaluateResult(BigDecimal flucencyScore, BigDecimal integrityScore, BigDecimal phoneScore,
			BigDecimal toneScore) {
		super();
		this.flucencyScore = flucencyScore;
		this.integrityScore = integrityScore;
		this.phoneScore = phoneScore;
		this.toneScore = toneScore;
	}

	public BigDecimal getFlucencyScore() {
		return flucencyScore;
	}

	public void setFlucencyScore(BigDecimal flucencyScore) {
		this.flucencyScore = flucencyScore;
	}

	public void setIntegrityScore(BigDecimal integrityScore) {
		this.integrityScore = integrityScore;
	}

	public void setPhoneScore(BigDecimal phoneScore) {
		this.phoneScore = phoneScore;
	}

	public void setToneScore(BigDecimal toneScore) {
		this.toneScore = toneScore;
	}

	@Override
	public BigDecimal getFluencyScore() {
		return this.flucencyScore;
	}

	@Override
	public BigDecimal getIntegrityScore() {
		return this.integrityScore;
	}

	@Override
	public BigDecimal getPhoneScore() {
		return this.phoneScore;
	}

	@Override
	public BigDecimal getToneScore() {
		return this.toneScore;
	}

	@Override
	public String toString() {
		return "EvaluateResult [flucencyScore=" + flucencyScore + ", integrityScore=" + integrityScore + ", phoneScore="
				+ phoneScore + ", toneScore=" + toneScore + "]";
	}

}
