alter table `practice_chat_log` add primary key (`id`);
alter table `practice_chat_log` add index practice_id_idx (`practice_id`);
alter table `practice_chat_log` add index accountId_id_idx (`account_id`);
alter table `practice_chat_log` add index org_info_idx (`company_id, site_id, org_id`);

alter table `practice_chat_round_log` add primary key (`id`);
alter table `practice_chat_round_log` add index practice_id_idx (`practice_id`);
alter table `practice_chat_round_log` add index scene_id_idx (`scene_id`);
alter table `practice_chat_round_log` add index scene_chat_idx (`scene_chat_id`);
alter table `practice_chat_round_log` add index practice_chat_idx (`practice_chat_id`);
alter table `practice_chat_round_log` add index account_id_idx (`account_id`);
alter table `practice_chat_round_log` add index org_info_idx (`company_id, site_id, org_id`);

alter table `practice_config` add primary key (`id`);
alter table `practice_config` add index robot_idx (`robot_id`);
alter table `practice_config` add index org_info_idx (`company_id, site_id, org_id`);

alter table `practice_point_given_log` add primary k
ey (`id`);
alter table `practice_point_given_log` add index practice_id_idx (`practice_id`);
alter table `practice_point_given_log` add index rule_idx (`point_rule_id`);
alter table `practice_point_given_log` add index account_id_idx (`account_id`);
alter table `practice_point_given_log` add index org_info_idx (`company_id, site_id, org_id`);

alter table `practice_point_rule_config` add primary key (`id`);
alter table `practice_point_rule_config` add index practice_id_idx (`practice_id`);

alter table `practice_visible` add primary key (`id`);
alter table `practice_visible` add index practice_id_idx (`practice_id`);
alter table `practice_visible` add index visible_site_org_idx (`visible_site_id, visible_org_id`);
alter table `practice_visible` add index visible_account_idx (`visible_account_id`);
alter table `practice_visible` add index company_idx (`company_id`);

alter table `robot_config` add primary key (`id`);

alter table `scene_chat_config` add primary key (`id`);
alter table `scene_chat_config` add index practice_id_idx (`practice_id`);
alter table `scene_chat_config` add index scene_id_idx (`scene_id`);
alter table `scene_chat_config` add index pid_idx (`pid`);

alter table `scene_config` add primary key (`id`);
alter table `scene_config` add index practice_id_idx (`practice_id`);

alter table `practice_chat_round_log` alter column `average_score` set default 0;