package com.yizhi.practice.application.enums;

public enum PracticeLevelMapEnum {
	PRACTICE_LEVEL1("1010", "训练(初级)"),
    PRACTICE_LEVEL2("1040", "训练(中级)"),
    PRACTICE_LEVEL3("1080", "训练(高级)"),
    EXAM("200","考核")

            ;
    private String status;
    private String desc;

    PracticeLevelMapEnum(String status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    public String getStatus() {
        return status;
    }

    public String getDesc() {
        return desc;
    }
    
    public static String getDescByStatus(String code) {
    	PracticeLevelMapEnum[] values = PracticeLevelMapEnum.values();
    	for(PracticeLevelMapEnum each : values) {
    		if(each.getStatus().equals(code)) {
    			return each.getDesc();
    		}
    	}
    	return "";
    }
}
