package com.yizhi.practice.application.enums;

/**
 * 陪练状态
 */
public enum PracticeStatusEnum {

    UP(80,"上架"),
    DOWN(30,"下架"),
    DRAFT(10,"草稿")

            ;
    private Integer status;
    private String desc;

    PracticeStatusEnum(Integer status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    public Integer getStatus() {
        return status;
    }

    public String getDesc() {
        return desc;
    }

}
