package com.yizhi.practice.application.feign;

import com.yizhi.practice.application.pojo.vo.PracticeVo;
import com.yizhi.util.application.domain.BizResponse;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "chat-practice",contextId = "PracticeConfigStudentClient")
public interface PracticeConfigStudentClient {

    @ApiOperation(value = "获取陪练")
    @GetMapping("/student/practice/get")
    public BizResponse<PracticeVo> getPractice(@ApiParam(value = "陪练的ID") @RequestParam("practiceId") Long practiceId);

}
