package com.yizhi.practice.application.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "PracticeBaseInfoVo")
public class PracticeBaseInfoVo {

    @ApiModelProperty(value = "陪练id")
    private Long id;

    @ApiModelProperty(value = "陪练名")
    private String name;

    @ApiModelProperty(value = "陪练模式",allowableValues = "80:训练+考核 ,10:训练 20:考核")
    
    private Integer useType;

    @ApiModelProperty(value = "训练开始时间 yyyy-MM-dd HH:mm")
    
    private Date practiceStartAt;

    @ApiModelProperty(value = "训练结束时间 yyyy-MM-dd HH:mm")
    
    private Date practiceEndAt;

    @ApiModelProperty(value = "考核开始时间 yyyy-MM-dd HH:mm")
    
    private Date examStartAt;

    @ApiModelProperty(value = "考核结束时间 yyyy-MM-dd HH:mm")
    
    private Date examEndAt;

    @ApiModelProperty(value = "陪练状态 80:上架 30:下架 10:草稿")
    private Integer status;
    
    @ApiModelProperty(value = "练习可见范围  80:平台可见 40:指定用户可见")
	private Integer visibleType;

    @ApiModelProperty(value = "陪练logoUrl")
    private String logoUrl;
}
