package com.yizhi.practice.application.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**

 */
@Data
public class PracticeVisibleVo implements Serializable {

    private static final long serialVersionUID = 1L;


	private Long id;

	@ApiModelProperty(value = "陪练ID")
	
	private Long practiceId;

	@ApiModelProperty(value = "可见站点Id")
	
	private Long visibleSiteId;

	@ApiModelProperty(value = "可见部门Id")
	
	private Long visibleOrgId;

	@ApiModelProperty(value = "可见部门名")
	
	private String visibleOrgName;

	@ApiModelProperty(value = "可见用户Id")
	
	private Long visibleAccountId;

	@ApiModelProperty(value = "可见用户工号")
	
	private String visibleAccountWorkNum;

	@ApiModelProperty(value = "用户名")
	
	private String visibleAccountName;

	@ApiModelProperty(value = "用户全名")
	
	private String visibleAccountFullName;

	@ApiModelProperty(value = "陪练可见范围  80:平台可见 50:部门可见 40:指定用户可见")
	
	private Integer visibleType;

	@ApiModelProperty(value = "公司Id")
	
	private Long companyId;

	@ApiModelProperty(value = "0:not deleted, 1:deleted")
	private Boolean deleted;

	
	private Date createdAt;

	@ApiModelProperty(value = "创建管理员ID")
	
	private Long createdUid;

	
	private Date updatedAt;

	@ApiModelProperty(value = "更新管理员ID")
	
	private Long updatedUid;


}
