package com.yizhi.practice.application.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 关键词请求体
 *
 */
@Data
@ApiModel(value = "关键词")
public class
KeyWordsReq {

    @ApiModelProperty(name = "key",value = "关键词")
    private String key;
    /**
     * 关键词对应的扩展词
     * 多个用分号；分割
     */
    @ApiModelProperty(name = "value",value = "关键词对应扩展词")
    private String value;
}
