package com.yizhi.practice.application.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 场景对话请求
 */
@Data
@ApiModel(value = "陪练场景对话请求体")
public class PracticeSceneDialogueReq {

    @ApiModelProperty(name = "practiceId",value = "场景所属陪练id")
    private Long practiceId;

    @ApiModelProperty(name = "sceneId",value = "对话所属场景id")
    private Long sceneId;
    //节点列表
    private List<PracticeChatNodeReq> chatNodes;

}
