package com.yizhi.practice.application.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel("报表统计请求")
public class PracticeStatisticsReq {


    @ApiModelProperty(name = "startDate",value = "开始时间")
    private String startDate;

    @ApiModelProperty(name = "endDate",value = "结束时间")
    private String endDate;

    @ApiModelProperty(name = "pageNo", value = "当前页码 默认1")
    private Integer pageNo = 1;

    @ApiModelProperty(name = "pageSize", value = "每页大小 默认10")
    private Integer pageSize = 10;

    @ApiModelProperty(name = "practiceId",value = "陪练id")
    private Long practiceId;

    @ApiModelProperty(name = "practiceName",value = "陪练名称")
    private String practiceName;

    @ApiModelProperty(name = "nameKwd",value = "用户名关键字")
    private String nameKwd;

    @ApiModelProperty(name = "orgKwd",value = "部门关键字")
    private String orgKwd;

    private Date startOfDate;
    private Date endOfDate;
}
