package com.yizhi.practice.application.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "可用用户、部门范围")
public class PracticeVisibleAccount {

    @ApiModelProperty(value = "用户或者部门id")
    private Long visibleId;

    @ApiModelProperty(value = "可见范围类型; 50:部门可见 40:用户可见")
    private Integer visibleType;

    @ApiModelProperty(value = "用户名或部门名")
    private String name;

    @ApiModelProperty(value = "用户全名；可见范围类型visibleType为用户可见时填写")
    private String fullName;

    @ApiModelProperty(value = "用户工号；可见范围类型visibleType为用户可见时填写")
    private String workNum;

}
