package com.yizhi.practice.application.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "智能演练场景对话文件导入")
public class SceneChatImportReq {

    @ApiModelProperty(value = "文件名")
    private String fileName;

    @ApiModelProperty(value = "文件url")
    private String fileUrl;

    @ApiModelProperty(value = "对话所属陪练id")
    private Long practiceId;

    @ApiModelProperty(value = "对话所属场景id")
    private Long sceneId;


}
