package com.yizhi.practice.application.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "场景请求")
public class SceneReq {

    @ApiModelProperty(name = "practiceId",value = "陪练id")
    private Long practiceId;
    @ApiModelProperty(name = "sceneId",value = "陪练场景id,修改时必传")
    private Long sceneId;
    @ApiModelProperty(name = "sceneName",value = "陪练场景名称,修改时必传")
    private String sceneName;
    @ApiModelProperty(name = "desc",value = "陪练场景描述")
    private String desc;
    @ApiModelProperty(name = "sort",value = "场景排序序号")
    private int sort;
}
