package com.yizhi.practice.application.excel;

import com.yizhi.core.application.context.RequestContext;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PracticeAccountImportParam {

    @ApiModelProperty(value = "文件路径")
    private String fileUrl;

    @ApiModelProperty(value = "RequestContext")
    private RequestContext context;

    @ApiModelProperty(value = "陪练id")
    private Long practiceId;

    @ApiModelProperty(value = "任务id")
    private Long taskId;

    @ApiModelProperty(value = "序列号")
    private String serialNo;

    @ApiModelProperty(value = "任务名")
    private String taskName;

}
