package com.yizhi.practice.application.pojo.po

import com.yizhi.core.application.context.RequestContext
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty


/**
 * @Date 2020/10/30 3:49 下午
 * @Author lvjianhui
 **/
@ApiModel
class AnalyzeStudentVoicePo {

    @ApiModelProperty("学员录音URL")
    var voiceUrl:String ? = null

    @ApiModelProperty("用户语音时长")
    var voiceDuration:Long ? = null

    @ApiModelProperty("学员标准话术ID")
    var chatRoundConfigId:Long ? = null

    @ApiModelProperty("学员话是层级",required = true)
    var chatRoundLevel:Int ? = null

    @ApiModelProperty("模式类型 10：训练 20：考核",allowableValues = "10,20",required = true)
    var useType:Int ? = null

    @ApiModelProperty("陪练ID")
    var practiceId:Long  ? = null

    @ApiModelProperty("场景ID")
    var senceId:Long ? = null

    @ApiModelProperty("陪练记录ID")
    var practiceLogId:Long ? = null

    @ApiModelProperty(hidden = true)
    var requestContext:RequestContext ? = null

    @ApiModelProperty("跳过传 true")
    var ignore:Boolean = false

    @ApiModelProperty("微信上传录音mediaId")
    var wechatMediaId:String ? = null

    @ApiModelProperty("微信公众号Appid")
    var wechatAppId:String ? = null

    @ApiModelProperty("企业微信应用ID")
    var agentId:String ? = null

    @ApiModelProperty("平台类型 WECHAT,QYWECHAT,H5",allowableValues = "WECHAT,QYWECHAT,H5")
    var platform:String  = "WECHAT"

}
