package com.yizhi.practice.application.pojo.vo

import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty


/**
 * @Date 2020/10/29 4:30 下午
 * @Author lvjianhui
 **/
@ApiModel
class ChatContextVo {

    @ApiModelProperty("对话ID")
    var chatId:Long ? = null

    @ApiModelProperty("姓名",hidden = true)
    var name: String? = null

    @ApiModelProperty("话术内容")
    var context: String? = null

    @ApiModelProperty("音频地址")
    var voiceUrl: String? = null

    @ApiModelProperty("音频时长",hidden = true)
    var voiceDuration: Long? = null

    @ApiModelProperty("头像URL",hidden = true)
    var picUrl: String? = null

    @ApiModelProperty("层级")
    var level:Int ? = null

}