package com.yizhi.practice.application.pojo.vo;

import com.yizhi.practice.application.request.PracticeChatNodeReq;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 陪练下的场景对话
 */
@Data
@Api(tags = "陪练下的场景对话")
public class PracticeSceneDialogueVo {

    @ApiModelProperty(name = "场景所属陪练id")
    private Long practiceId;

    @ApiModelProperty(name = "场景id")
    private Long sceneId;
    @ApiModelProperty(name = "场景名称")
    private String sceneName;
    @ApiModelProperty(name = "场景描述")
    private String sceneDescription;
    @ApiModelProperty(name = "场景排序序号；从0开始")
    private int sort;
    //节点列表
    private List<PracticeChatNodeReq> chatNodes;

}
