package com.yizhi.practice.application.repository;

import com.yizhi.practice.application.pojo.domain.SceneConfig;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * <p>
 * 场景配置 Mapper 接口
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-22
 */
public interface SceneConfigRepository extends  JpaRepository<SceneConfig,Long>, QuerydslPredicateExecutor<SceneConfig>{

    @Query("select s from SceneConfig s where s.practiceId = :practiceId and s.deleted = false order by s.sort asc ")
    List<SceneConfig> selectByPracticeId(@Param(value = "practiceId") Long practiceId);


}
