package com.yizhi.practice.application.service

import com.querydsl.jpa.impl.JPAQueryFactory
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Service
import javax.annotation.PostConstruct
import javax.persistence.EntityManager

/**
 * @Date 2020/10/22 3:21 下午
 * @Author lvjianhui
 */
@Service
open class BaseService {

    @Autowired
    lateinit var  entityManager: EntityManager;

    lateinit var jpaqueryFactory:JPAQueryFactory;

    @PostConstruct
    fun initFactory() {
        jpaqueryFactory = JPAQueryFactory(entityManager)
    }
}