package com.yizhi.practice.application.service.impl

import com.yizhi.practice.application.pojo.domain.QPracticePointGivenLog
import com.yizhi.practice.application.service.BaseService
import com.yizhi.practice.application.service.IPracticePointGivenLogService
import org.springframework.stereotype.Service
import java.util.function.Predicate
import kotlin.math.hypot

/**
 *
 *
 * 陪练积分发放记录 服务实现类
 *
 *
 * @author MybatisCodeGenerator123
 * @since 2020-10-22
 */
@Service
class PracticePointGivenLogServiceImpl : BaseService(), IPracticePointGivenLogService {

    override fun sumPointByUserAndPractice(accountId: Long, practiceId: Long, companyId: Long, siteId: Long, orgId: Long):Int {

        val log = QPracticePointGivenLog.practicePointGivenLog
        val pre = log.accountId.eq(accountId)
                .and(log.practiceId.eq(practiceId))
                .and(log.companyId.eq(companyId))
                .and(log.siteId.eq(siteId))
                .and(log.orgId.eq(orgId))

        return jpaqueryFactory.select(log.point.sum()).from(log).where(pre).fetchOne() ?: 0
    }

}