package com.yizhi.practice.application.util;

import java.util.List;

import com.mysql.jdbc.StringUtils;
import com.yizhi.practice.application.constants.PracticeConstant;

public class LocalStringUtil {

	/**
	 * 分解命中的关键词/禁忌词
	 * @param text
	 * @param keywords
	 * @return
	 */
	public static List<String> hit(String hitKeyWord) {
		if(StringUtils.isNullOrEmpty(hitKeyWord)) {
			return null;
		}
		
		return StringUtils.split(hitKeyWord.replaceAll(PracticeConstant.KEY_WORD_SPERATOR_CN, PracticeConstant.KEY_WORD_SPERATOR_EN), PracticeConstant.KEY_WORD_SPERATOR_EN, false);
	}
}
